


//#define	PAGE_ADDRESS			0b10110000		//; 1011xxxx, xxxx = address
//#define	COLUMN_ADDRESS_H		0b00010000		//; last xxx = address
//#define	COLUMN_ADDRESS_L		0b00000000		//; last xxxx = address
#define	DISPLAY_ON				0b10101111
#define	DISPLAY_OFF				0b10101110
#define	ALL_BLACK				0b10100101		//; 1010010x, x=1 forces all pixels on. 'Entire Display ON' in datasheet.
#define	POWER_CONTROL			0b00101111		//; all power circuits ON (LCD controlled)
#define	DC_STEP_UP				0b01100100		//; 011001xx, xx select 3-5x boosting
#define	REGULATOR_RESISTOR		0b00100000		//; 00100xxx (center)
#define	SET_EVR_1				0b10000001		//; 2-byte instruction!
#define	SET_EVR_2				0b00011100		//; XXxxxxxx, xxxxxx = value, XX = don't care. (center)
#define	SET_DUTY_1				0b01001000 		//; 2-byte instruction!
#define	SET_DUTY_2				0b01000000
#define	SET_BIAS				0b01010001		//; 01010xxx, xxx = bias. Should be 001 for 1/5 bias
#define	DISPLAY_INVERT			0b10100110		//; 1010011x, x = invert. 0 normal, 1 inverse video.


#define	SET_OSC_ON				0b10101011		//; Starts internal oscillator
#define	SET_POWER_SAVE			0b10101000		//; 1010100x, x = power save level (0=standby, 1=sleep)
#define	CLEAR_POWER_SAVE		0b11100001
#define	SOFT_RESET				0b11100010		//; Initialize the internal functions

#define	SET_PAGE_ADDR			0b10110000		//; 1011xxxx, xxxx = page addr.
#define	SET_COLUMN_ADDR_1		0b00010000		//; 2-byte! 00010xxx, xxx = Y[6..4]
#define	SET_COLUMN_ADDR_2		0b00000000		//; 0000xxxx, xxxx = Y[3..0]

#define	SHL_SELECT				0b11000000		//; 1100xXXX, x = COM scanning direction. 0 normal, 1 reverse. X = don't care.
#define	ADC_SELECT				0b10100000		//; 1010000x

