#!/usr/bin/perl -w



($tablename, $junk)=split(/\./, @ARGV[0]); # Get the first part of the filename (without ".mp3")


open INFILE, "< $ARGV[0]" or die "Couldn't open INFILE: $!\n";
open OUTFILE, "> $tablename.tmp" or die "Couldn't open OUTFILE: $!\n";
binmode(INFILE);
binmode(OUTFILE);

$x = 128;
$y = 64;	# NOTE: height must be a multiple of 8px. We can only write out full bytes, and each one specifies a 1x8(x,y) image hunk.

read(INFILE, $buff, $x*$y);

#printf $buff;

for ($i=0; $i<8; $i++)
{
    for ($j=0; $j < $x; $j++)
    {
     	#printf ord(substr($buff, (128*$i*8 + (128*0)+ $j), 1));

      	$byte=0;
#       	$byte = $byte + ord(substr($buff, (128*$i*8 + (128*0)+ $j), 1)) * 128;
#       	$byte = $byte + ord(substr($buff, (128*$i*8 + (128*1)+ $j), 1)) * 64;
#       	$byte = $byte + ord(substr($buff, (128*$i*8 + (128*2)+ $j), 1)) * 32;
#       	$byte = $byte + ord(substr($buff, (128*$i*8 + (128*3)+ $j), 1)) * 16;
#       	$byte = $byte + ord(substr($buff, (128*$i*8 + (128*4)+ $j), 1)) * 8;
#       	$byte = $byte + ord(substr($buff, (128*$i*8 + (128*5)+ $j), 1)) * 4;
#       	$byte = $byte + ord(substr($buff, (128*$i*8 + (128*6)+ $j), 1)) * 2;
#       	$byte = $byte + ord(substr($buff, (128*$i*8 + (128*7)+ $j), 1)) * 1;

      	$byte = $byte + ord(substr($buff, ($x*$i*8 + ($x*0)+ $j), 1)) * 1;
      	$byte = $byte + ord(substr($buff, ($x*$i*8 + ($x*1)+ $j), 1)) * 2;
      	$byte = $byte + ord(substr($buff, ($x*$i*8 + ($x*2)+ $j), 1)) * 4;
      	$byte = $byte + ord(substr($buff, ($x*$i*8 + ($x*3)+ $j), 1)) * 8;
      	$byte = $byte + ord(substr($buff, ($x*$i*8 + ($x*4)+ $j), 1)) * 16;
      	$byte = $byte + ord(substr($buff, ($x*$i*8 + ($x*5)+ $j), 1)) * 32;
      	$byte = $byte + ord(substr($buff, ($x*$i*8 + ($x*6)+ $j), 1)) * 64;
      	$byte = $byte + ord(substr($buff, ($x*$i*8 + ($x*7)+ $j), 1)) * 128;

 	printf OUTFILE chr($byte);
	#printf $byte;
	#printf (128*$i*8 + (128*7)+ $j);
	#printf "\n";
    }
}

close(INFILE);
close(OUTFILE);

# Fucking lazy...

open INFILE, "< $tablename.tmp" or die "Couldn't open INFILE: $!\n";
open OUTFILE, "> $tablename.c" or die "Couldn't open OUTFILE: $!\n";
binmode(INFILE);

$count = 0;

printf OUTFILE "/* \$Id: \$\n\n; Image data table generated by raw2c.pl */\n";

printf OUTFILE "/* Input file name was $ARGV[0]. */\n\n";
printf OUTFILE "/* Image dimensions: $x x $y. */\n\n";


$size=(($x*$y)/8)+2;

printf OUTFILE ("rom const char %s[%d] = {\n"), $tablename, $size;
printf OUTFILE ("0x%02X,\n", $x);
printf OUTFILE ("0x%02X,\n", $y);

$buff="";



while (read(INFILE, $buff, 1))
{

	printf OUTFILE ("0x%02X,\n", (ord($buff)));
	printf ("0x%02X,\n", (ord($buff)));
	$count++;
}
print OUTFILE "};\n // Fixme, delete this comma\n\n";

print "Total $count lines ";
print OUTFILE "\n// Total $count lines\n";

#$count = $count * 2;
#print " ($count bytes)\n";
#print OUTFILE "; ($count bytes)\n";


close(INFILE);
close(OUTFILE);


sub flipbyte {
	my ($byte)=@_;

	#print ord($byte);

	$bit7 = ($byte & 0x80) >> 7;
	$bit6 = ($byte & 0x40) >> 6;
	$bit5 = ($byte & 0x20) >> 5;
	$bit4 = ($byte & 0x10) >> 4;
	$bit3 = ($byte & 0x08) >> 3;
	$bit2 = ($byte & 0x04) >> 2;
	$bit1 = ($byte & 0x02) >> 1;
	$bit0 = ($byte & 0x01);

	return (128*$bit0 + 64*$bit1 + 32*$bit2 + 16*$bit3 + 8*$bit4 + 4*$bit5 + 2*$bit6 + $bit7);


}
